//
//  MoviePlayerViewController.m
//  Week8_AudioVideo
//
//  Created by Jason Fieldman on 3/10/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "MoviePlayerViewController.h"
#import <MediaPlayer/MediaPlayer.h>

@implementation MoviePlayerViewController

- (id) init {
	if (self = [super init]) {
		self.title = @"Movies!";
		self.view = [[[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 480)] autorelease];
		
		/* Initialize views */
		remoteURLField = [[[UITextField alloc] initWithFrame:CGRectMake(20, 40, 200, 24)] autorelease];
		remoteURLField.backgroundColor = [UIColor lightGrayColor];
		remoteURLField.text = @"http://www.ahamobile.com/video/AhaRadio.mov";
		[self.view addSubview:remoteURLField];
		
		controlButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
		controlButton.frame = CGRectMake(240, 40, 60, 24);
		[controlButton setTitle:@"Watch" forState:UIControlStateNormal];
		[controlButton addTarget:self action:@selector(handleControlButton:) forControlEvents:UIControlEventTouchUpInside];
		[self.view addSubview:controlButton];
		
		
	}
	return self;
}


- (void)dealloc {
    [super dealloc];
}


- (void) handleControlButton:(id)sender {
	/* Close keyboard */
	[remoteURLField resignFirstResponder];
	
	if ([remoteURLField.text length]) {
		
		/* Create movie controller */
		MPMoviePlayerController *controller = [[MPMoviePlayerController alloc] initWithContentURL:[NSURL URLWithString:remoteURLField.text]];

		/* Assign finish notification handler */
		[[NSNotificationCenter defaultCenter]
		 addObserver: self
		 selector: @selector(movieFinishedCallback:)
		 name: MPMoviePlayerPlaybackDidFinishNotification
		 object: controller];
		
		/* Start playing */
		[controller play];
		
		
	}
}


-(void) movieFinishedCallback: (NSNotification*) aNotification
{
	/* Grab the movie controller object */
	MPMoviePlayerController* controller = [aNotification object];
	
	/* Remove notifications */
	[[NSNotificationCenter defaultCenter]
	 removeObserver: self
	 name: MPMoviePlayerPlaybackDidFinishNotification
	 object: controller];
	
    /* Release movie controller */
	[controller release];
}



@end
