//
//  Week8_AudioVideoAppDelegate.m
//  Week8_AudioVideo
//
//  Created by Jason Fieldman on 3/9/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "Week8_AudioVideoAppDelegate.h"
#import "SoundboardViewController.h"
#import "RecorderViewController.h"
#import "StreamingMusicViewController.h"
#import "MoviePlayerViewController.h"
#import "iPodViewController.h"


@implementation Week8_AudioVideoAppDelegate

@synthesize window;


- (void)applicationDidFinishLaunching:(UIApplication *)application {    

	/* Tabs:
	 
	 1. AVAudioPlayer soundboard
	 2. AVAudioRecorder and playback
	 3. streaming music player
	 4. Movie player
	 5. iPod music player
	 
	 */
    
	UITabBarController *tabBarController = [[UITabBarController alloc] init];
	
	tabBarController.viewControllers = [NSArray arrayWithObjects:
										[[[SoundboardViewController       alloc] init] autorelease],
										[[[RecorderViewController         alloc] init] autorelease],
										[[[StreamingMusicViewController   alloc] init] autorelease],
										[[[MoviePlayerViewController      alloc] init] autorelease],
										[[[iPodViewController             alloc] init] autorelease],
										nil									
										];
	
	[window addSubview:tabBarController.view];
    [window makeKeyAndVisible];
}


- (void)dealloc {
    [window release];
    [super dealloc];
}


@end
